| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ROOT::Reflex::TypeDistiller< std::string > Class Template Reference

`#include <AlgFactory.h>`

List of all members.

## Detailed Description

### template<>
class ROOT::Reflex::TypeDistiller< std::string >

Definition at line 31 of file AlgFactory.h.

## Static Public Member Functions
static Type | Get ()
static Type | Get ()
static Type | Get ()
static Type | Get ()

## Member Function Documentation

static Type ROOT::Reflex::TypeDistiller< std::string >::Get | ( |  | ) | `[inline, static]`

Definition at line 33 of file AlgFactory.h.

    00033                            {
    00034             return TypeBuilder("std::basic_string<char>");
    00035          }

static Type ROOT::Reflex::TypeDistiller< std::string >::Get | ( |  | ) | `[inline, static]`

Definition at line 14 of file AudFactory.h.

    00014                            {
    00015             return TypeBuilder("std::basic_string<char>");
    00016          }

static Type ROOT::Reflex::TypeDistiller< std::string >::Get | ( |  | ) | `[inline, static]`

Definition at line 34 of file SvcFactory.h.

    00034                            {
    00035             return TypeBuilder("std::basic_string<char>");
    00036          }

static Type ROOT::Reflex::TypeDistiller< std::string >::Get | ( |  | ) | `[inline, static]`

Definition at line 34 of file ToolFactory.h.

    00034                            {
    00035             return TypeBuilder("std::basic_string<char>");
    00036          }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/AlgFactory.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/AudFactory.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/SvcFactory.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ToolFactory.h